<?php /*
Plugin Name: SecureImages
Version: 0.4.2
Description: This MOD allows you to block unauthorized access to your images without having to use HTTP authentification.
Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=74
Author: acp
Author URI: http://iacp.free.fr/
*/

add_event_handler('get_thumbnail_url', 'secured_thumbnail_url', EVENT_HANDLER_PRIORITY_NEUTRAL, 2);

add_event_handler('get_element_url', 'secured_element_url', EVENT_HANDLER_PRIORITY_NEUTRAL, 2);

add_event_handler('get_high_url', 'secured_high_url', EVENT_HANDLER_PRIORITY_NEUTRAL, 2);

add_event_handler('get_admin_plugin_menu_links', 'plugin_admin_menu', EVENT_HANDLER_PRIORITY_NEUTRAL, 1);

function secured_thumbnail_url($path, $element_info) {
  return PHPWG_ROOT_PATH.'plugins/secureImages/getFile.php?image_id='.$element_info['id'].'&amp;thumb=1';
}

function secured_element_url($url, $element_info) {
  return PHPWG_ROOT_PATH.'plugins/secureImages/getFile.php?image_id='.$element_info['id'];
}

function secured_high_url($url, $element_info) {
  return PHPWG_ROOT_PATH.'plugins/secureImages/getFile.php?image_id='.$element_info['id'].'&amp;highdef=1';
}

function plugin_admin_menu($menu) {
  array_push($menu,
      array(
        'NAME' => 'SecureImages',
        'URL' => get_admin_plugin_menu_link(dirname(__FILE__).'/administration.php')
      )
    );
  return $menu;
}

?>
